<id>
Link Avatar to Profile for YaBB 2.4
</id>

<version>
1.3
</version>

<mod info>
Description
-----------
This mod will link user avatars to their profile.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
 
Files to edit
-------------
Admin/ModList.pl
Sources/Load.pl

Mod History
-----------
1.0 - First Release - 16th November 2008
1.1 - Updated for YaBB 2.3.1 - 4th January 2009
1.2 - Updated for YaBB 2.4 - 16th June 2009
1.3 - Removed unneeded '!$iamguest' variable - 12th November 2009
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_linkavatar = "Link Avatar to Profile|Derek Barnstorm|This mod will link user avatars to their profile.|1.3|12th November 2009";
	push (@installed_mods, "$mod_linkavatar");
</add before>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	if ($showuserpic && $allowpics) {
		${$uid.$user}{'userpic'} ||= 'blank.gif';
		${$uid.$user}{'userpic'} = qq~<img src="~ .(${$uid.$user}{'userpic'} =~ m~\A[\s\n]*https?://~i ? ${$uid.$user}{'userpic'} : "$facesurl/${$uid.$user}{'userpic'}") . qq~" name="avatar_img_resize" alt="" border="0" style="display:none" /><br />~;
	} else {
		${$uid.$user}{'userpic'} = '<br />';
	}
</search for>

<replace>
	if ($showuserpic && $allowpics && $iamguest) {
		${$uid.$user}{'userpic'} ||= 'blank.gif';
		${$uid.$user}{'userpic'} = qq~<img src="~ .(${$uid.$user}{'userpic'} =~ m~\A[\s\n]*https?://~i ? ${$uid.$user}{'userpic'} : "$facesurl/${$uid.$user}{'userpic'}") . qq~" name="avatar_img_resize" alt="" border="0" style="display:none" /><br />~;
	} elsif ($showuserpic && $allowpics) {
		${$uid.$user}{'userpic'} ||= 'blank.gif';
		${$uid.$user}{'userpic'} = qq~<a href="$scripturl?action=viewprofile;username=$useraccount{$user}"><img src="~ .(${$uid.$user}{'userpic'} =~ m~\A[\s\n]*https?://~i ? ${$uid.$user}{'userpic'} : "$facesurl/${$uid.$user}{'userpic'}") . qq~" name="avatar_img_resize" alt="" border="0" style="display:none" /></a><br />~;
	} else {
		${$uid.$user}{'userpic'} = '<br />';
	} 
</replace>